String.prototype.trim = function() {
	return this.replace(/^\s+|\s+$/g,"");
}
//**************************************************************************
function fFiltrar(){
	document.getElementById("TxtAc").value="F";
	document.getElementById("Frm").submit();
}
//**************************************************************************
function fCancelar(){
	SM("L");
}
function fGuardar(){
	var Emp=gv("CboEmp");
	var Nro=gv("TxtNro");
	var Fec=gv("TxtFec");
	var Alm=gv("CboAlm");
	var Tde=gv("CboTde");
	var Tot=gv("TxtTot");
	var Mod=gv("CboMod");
	//
	if(jL(Fec)==0){
		alert("Ingrese la fecha, segun el formato");
		document.getElementById("TxtFec").focus();
		return;
	}
	if(EsFecha(Fec)==false){
		alert("Fecha no valida, verifique el formato");
		document.getElementById("TxtFec").focus();
		return;
	}
	if(jL(Emp)==0){
		alert("Seleccione una empresa");
		return jF("CboEmp");
	}
	if(jL(Alm)==0){
		alert("Seleccione el almacen correspondiente");
		document.getElementById("CboAlm").focus();
		return;
	}
	if(jL(Tde)==0){
		alert("Seleccione el tipo de egreso correspondiente");
		document.getElementById("CboTde").focus();
		return;
	}
	if(jL(Tot)==0){
		alert("Ingrese el total correspondiente");
		document.getElementById("TxtTot").focus();
		return;
	}
	if(jL(Mod)==0){
		alert("Seleccione el tipo de pago");
		document.getElementById("CboMod").focus();
		return;
	}	
	if(jLen(Nro)==0){
		alert("Ingrese el numero de recibo. Si no tiene numero de recibo entonces ingreser cero");
		jFocus("TxtNro");return;
	}
	if(gv("CmdG")=="Guardar"){
		document.getElementById("CmdG").disabled=true;
		SM("G");
	}else{
		document.getElementById("CmdG").disabled=true;
		SM("M");
	}
}
function EM_OC(){
	var Emp=gv("CboEmp");	
	var r=AX("02",Emp);
	if(r=="X"){
		CBO_CLS("CboAlm",1);
	}else{
		CBO_FILL("CboAlm",r,0);
	}
}
//**************************************************************************
function flEliminar(){
	var id=gv("TxtId");
	if(jVal(id)<=0){
		alert("Ningun registro activo");
		return;
	}
	var Rpta = confirm("Esta seguro que desea eliminar?")		
	if (Rpta==true){
		document.getElementById("CmdE").disabled=true;
		document.getElementById("CmdA").disabled=true;
		//
		SM("E");
	}	
}
//
function flAnular(){
	var id=gv("TxtId");
	if(jVal(id)==0){
		alert("No se puede determinar el id del registro activo");
		return;
	}
	if(confirm("Esta seguro que desea anular?")){
		document.getElementById("CmdE").disabled=true;
		document.getElementById("CmdA").disabled=true;
		SM("A");
	}
}